Subject: Re: [bug#47350] [PATCH 00/29] Add Zygote (piece for Machine Learning with Julia)

From: Nicolò Balzarotti <[email-masked]>
Date: Sat, 27 Mar 2021 22:01:15 +0100

Nicolò Balzarotti <[email-masked]> writes:

> zimoun <[email-masked]> writes:

> I should have some time to re-check those later today
>
Ok the everything still builds (I had a few problems applying the
patches, but it might depend on my setup).

Lint gives warnings:
[email-masked]: permanent redirect from https://fluxml.ai/Zygote.jl to https://fluxml.ai/Zygote.jl/
[email-masked]: can be upgraded to 0.6.6
[email-masked]: can be upgraded to 0.7.55
[email-masked]+4: sentences in description should be followed by two spaces; possible infraction at 129
[email-masked]+1: sentences in description should be followed by two spaces; possible infraction at 134
[email-masked]+1: line 344 is way too long (91
characters)
[email-masked]: can be upgraded to 0.9.33
 [email-masked]: permanent redirect from https://fluxml.ai/MacroTools.jl to https://fluxml.ai/MacroTools.jl/

Other than that, LGTM
(I opened an issue [fn:1] to constructionbase.jl to have latest version tagged,
if they respond promptly we might use the tagged version)

[fn:1] https://github.com/JuliaObjects/ConstructionBase.jl/issues/42

Thanks, Nicolò